summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Marco Bonetti <sid77@slackware.it>2010-05-12 23:29:49 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 23:29:49 +0200
commit6609386cc47fbd8dcbcb59c034aaee802955e3b6 (patch)
tree9f738ff19045e79feceed865042e7424e6593034 /libraries
parent5af58a08c6aa1f5bd2cee8e092bce36acf1abec4 (diff)
downloadslackbuilds-6609386cc47fbd8dcbcb59c034aaee802955e3b6.tar.gz
slackbuilds-6609386cc47fbd8dcbcb59c034aaee802955e3b6.tar.xz
libraries/SOAPpy: Added to 12.2 repository
Diffstat (limited to 'libraries')
-rw-r--r--libraries/SOAPpy/README6
-rw-r--r--libraries/SOAPpy/SOAPpy.SlackBuild77
-rw-r--r--libraries/SOAPpy/SOAPpy.info8
-rw-r--r--libraries/SOAPpy/imports.patch.gzbin0 -> 428 bytes
-rw-r--r--libraries/SOAPpy/slack-desc19
5 files changed, 110 insertions, 0 deletions
diff --git a/libraries/SOAPpy/README b/libraries/SOAPpy/README
new file mode 100644
index 0000000000..0080e72969
--- /dev/null
+++ b/libraries/SOAPpy/README
@@ -0,0 +1,6 @@
+The goal of the SOAPpy team is to provide a full-featured SOAP library
+for Python that is very simple to use and that fully supports dynamic
+interaction between clients and servers.
+
+SOAPpy requires fpconst and PyXML packages, both avalaible at
+SlackBuilds.org.
diff --git a/libraries/SOAPpy/SOAPpy.SlackBuild b/libraries/SOAPpy/SOAPpy.SlackBuild
new file mode 100644
index 0000000000..99ee71ba50
--- /dev/null
+++ b/libraries/SOAPpy/SOAPpy.SlackBuild
@@ -0,0 +1,77 @@
+#!/bin/sh
+
+# Slackware build script for SOAPpy.
+#
+# Copyright 2009-2010 Marco Bonetti <sid77@slackware.it>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=SOAPpy
+VERSION=0.11.6
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="ChangeLog LICENSE PKG-INFO README RELEASE_INFO docs"
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+# fix txts permissions
+chmod 644 docs/*.txt
+
+# Fix imports from future order
+zcat $CWD/imports.patch.gz | patch -p1
+
+python setup.py bdist
+tar zxvf dist/$PRGNAM-$VERSION.linux-i686.tar.gz -C $PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/SOAPpy/SOAPpy.info b/libraries/SOAPpy/SOAPpy.info
new file mode 100644
index 0000000000..b18410d464
--- /dev/null
+++ b/libraries/SOAPpy/SOAPpy.info
@@ -0,0 +1,8 @@
+PRGNAM="SOAPpy"
+VERSION="0.11.6"
+HOMEPAGE="http://pywebsvcs.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/pywebsvcs/SOAPpy-0.11.6.tar.gz"
+MD5SUM="51ac835366badedd932c64f26fa8336b"
+MAINTAINER="Marco Bonetti"
+EMAIL="sid77@slackware.it"
+APPROVED="dsomero"
diff --git a/libraries/SOAPpy/imports.patch.gz b/libraries/SOAPpy/imports.patch.gz
new file mode 100644
index 0000000000..35ede1ee1b
--- /dev/null
+++ b/libraries/SOAPpy/imports.patch.gz
Binary files differ
diff --git a/libraries/SOAPpy/slack-desc b/libraries/SOAPpy/slack-desc
new file mode 100644
index 0000000000..db03288ff9
--- /dev/null
+++ b/libraries/SOAPpy/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+SOAPpy: SOAPpy (SOAP library for Python)
+SOAPpy:
+SOAPpy: The goal of the SOAPpy team is to provide a full-featured SOAP library
+SOAPpy: for Python that is very simple to use and that fully supports dynamic
+SOAPpy: interaction between clients and servers.
+SOAPpy:
+SOAPpy:
+SOAPpy:
+SOAPpy:
+SOAPpy:
+SOAPpy: